package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * expense_account_examine
 * @author
 */
public class ExpenseAccountExamine implements Serializable {
    /**
     * id
     */
    private Integer id;

    /**
     * 报销编号
     */
    private Integer eaid;

    /**
     * 流程状态 0=巴员发起，1=巴主发起或审核，2=总经理审核，3=财务审核，4=董事长审核
     */
    private Integer processStatus;

    /**
     * 状态 0=未审核，1=已审核
     */
    private Integer status;

    /**
     * 审核人
     */
    private String auditor;

    /**
     * 审核人名称
     */
    private String auditorname;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public ExpenseAccountExamine() {
    }

    public ExpenseAccountExamine(Integer eaid, Integer processStatus) {
        this.eaid = eaid;
        this.processStatus = processStatus;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getEaid() {
        return eaid;
    }

    public void setEaid(Integer eaid) {
        this.eaid = eaid;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public String getAuditorname() {
        return auditorname;
    }

    public void setAuditorname(String auditorname) {
        this.auditorname = auditorname;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
